Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface SingleFileReport

    org.gradle.api.reporting.Report
      org.gradle.api.reporting.SingleFileReport
          org.gradle.util.Configurable

All Superinterfaces:
  Report, Configurable

    public interface SingleFileReport
    extends Report

A report that is a single file.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`OutputType` | `getOutputType()` Always returns Report.OutputType#FILE
`void` | `setDestination(Object file)` Sets the destination for the report.

Methods inherited from interface Report
getDestination, getName, getOutputType, isEnabled, setEnabled

Method Detail

### getOutputType

    public OutputType getOutputType()

  Always returns Report.OutputType#FILE
  Returns:
    Report.OutputType#FILE

### setDestination

    public void setDestination(Object file)

  Sets the destination for the report. The file parameter is evaluated as per Project.file.
  Parameters:
    `file` - The destination for the report.

Gradle API 1.1-rc-1